# Preview API

## Contents

- Interfaces
- Classes
- Methods
- Enum Constants

Interfaces
Interface
Description
com.sun.source.tree.CaseLabelTreePREVIEW
A marker interface for `Tree`s that may be used as `CaseTree` labels.
com.sun.source.tree.DefaultCaseLabelTreePREVIEW
A case label that marks `default` in `case null, default`.
com.sun.source.tree.GuardedPatternTreePREVIEW
A guard pattern tree.
com.sun.source.tree.ParenthesizedPatternTreePREVIEW
A tree node for a parenthesized pattern.

Classes
Class
Description
java.lang.runtime.SwitchBootstrapsPREVIEW
Bootstrap methods for linking `invokedynamic` call sites that implement the selection functionality of the `switch` statement.

Methods
Method
Description
com.sun.source.tree.CaseTree.getLabels()PREVIEW
Returns the labels for this case.
com.sun.source.tree.TreeVisitor.visitDefaultCaseLabel(DefaultCaseLabelTree, P)PREVIEW
Visits a DefaultCaseLabelTree node.
com.sun.source.tree.TreeVisitor.visitGuardedPattern(GuardedPatternTree, P)PREVIEW
Visits a GuardPatternTree node.
com.sun.source.tree.TreeVisitor.visitParenthesizedPattern(ParenthesizedPatternTree, P)PREVIEW
Visits a ParenthesizedPatternTree node.
com.sun.source.util.SimpleTreeVisitor.visitDefaultCaseLabel(DefaultCaseLabelTree, P)PREVIEW
Visits a DefaultCaseLabelTree node.
com.sun.source.util.SimpleTreeVisitor.visitGuardedPattern(GuardedPatternTree, P)PREVIEW
Visits a GuardPatternTree node.
com.sun.source.util.SimpleTreeVisitor.visitParenthesizedPattern(ParenthesizedPatternTree, P)PREVIEW
Visits a ParenthesizedPatternTree node.
com.sun.source.util.TreeScanner.visitDefaultCaseLabel(DefaultCaseLabelTree, P)PREVIEW
Visits a DefaultCaseLabelTree node.
com.sun.source.util.TreeScanner.visitGuardedPattern(GuardedPatternTree, P)PREVIEW
Visits a GuardPatternTree node.
com.sun.source.util.TreeScanner.visitParenthesizedPattern(ParenthesizedPatternTree, P)PREVIEW
Visits a ParenthesizedPatternTree node.

Enum Constants
Enum Constant
Description
com.sun.source.tree.Tree.Kind.DEFAULT_CASE_LABELPREVIEW
Used for instances of `DefaultCaseLabelTree`PREVIEW.
com.sun.source.tree.Tree.Kind.GUARDED_PATTERNPREVIEW
Used for instances of `GuardedPatternTree`PREVIEW.
com.sun.source.tree.Tree.Kind.PARENTHESIZED_PATTERNPREVIEW
Used for instances of `ParenthesizedPatternTree`PREVIEW.